Bug 67621 - 3.1p1-6 cannot be compiled on RHL 6.2 system
3.1p1-6 cannot be compiled on RHL 6.2 system
Status: CLOSED WORKSFORME
Product: Red Hat Linux
Classification: Retired
Component: openssh (Show other bugs)
6.2
All Linux
medium Severity medium
: ---
: ---
Assigned To: Nalin Dahyabhai
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-06-28 09:10 EDT by Peter Bieringer
Modified: 2007-04-18 12:43 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-12-03 04:48:44 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
openssh-3.1p1-fix-__func__.diff (fixes use of __func__ in auth2-pam.c) (454 bytes, patch)
2002-07-18 12:05 EDT, David D. Kilzer
no flags Details | Diff

  None (edit)
Description Peter Bieringer 2002-06-28 09:10:14 EDT
From Bugzilla Helper: * privacy *

Description of problem:
The ISS patch introduces "__func__", which results in an compiler error on
rebuilding the SRPMS on a RHL 6.2 system

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. change spec file to enable RHL 6.2 build
2. rpm -bb modified spec file
	

Actual Results:  make[1]: Leaving directory
`/usr/src/redhat/BUILD/openssh-3.1p1/openbsd-compat'
i386-redhat-linux-gcc -O2 -march=i386 -mcpu=i686 -Wall -Wpointer-arith
-Wno-uninitialized -I. -I.  -DSSHDIR=\"/etc/ssh\"
-D_PATH_SSH_PROGRAM=\"/usr/bin/ssh\"
-D_PATH_SSH_ASKPASS_DEFAULT=\"/usr/libexec/openssh/ssh-askpass\"
-D_PATH_SFTP_SERVER=\"/usr/libexec/openssh/sftp-server\"
-D_PATH_SSH_PIDDIR=\"/var/run\"
-DSSH_RAND_HELPER=\"/usr/libexec/openssh/ssh-rand-helper\" -DHAVE_CONFIG_H -c
auth2-pam.c
auth2-pam.c: In function `input_userauth_info_response_pam':
auth2-pam.c:146: `__func__' undeclared (first use in this function)
auth2-pam.c:146: (Each undeclared identifier is reported only once
auth2-pam.c:146: for each function it appears in.)    

Expected Results:  Clean compile

Additional info:

Problem is introduced by the openssh-adv.iss.patch
Comment 1 David D. Kilzer 2002-07-18 12:05:45 EDT
Created attachment 65825 [details]
openssh-3.1p1-fix-__func__.diff (fixes use of __func__ in auth2-pam.c)
Comment 2 David D. Kilzer 2002-07-18 12:19:06 EDT
I just finished a recompile of openssh-3.1p1-6 for my RH 6.2 system.

Attachment #65825 [details] is a patch to fix the use of __func__ in auth2-pam.c
so that it is in agreement with the ISO C99 standard.  This patch
should only be used with older versions of gcc!  You may read more
about __func__ and gcc here:

  http://gcc.gnu.org/onlinedocs/gcc/Function-Names.html

I also had to make other changes to the openssh.spec file to get it
compiled under RH 6.2, but I have a somewhat non-standard setup (due
to use of alien(1) to convert Debian packages to RPMs and rebuilding
other RH 7.x for use with RH 6.2):

  - Changed BuildPreReq from db1-devel to db3-devel (RH 7.1 SRPM
    rebuilt on 6.2).
  - Changed BuildPreReq from openssl-devel to libssl-dev (Debian
    package converted by alien(1)).
  - Changed %define build6x from 0 to 1 (required for RH 6.2
    build).
  - Rebuilt pam-0.75-19 SRPM from Red Hat 7.2 and installed.  (I
    needed the header files found in /usr/include/security/ from
    pam-devel.)
  - Added pam-devel to BuildPreReq for build6x.
  - Added patch found in Attachment #65825 [details] to fix issue with use
    of __func__ in auth2-pam.c.

I'm afraid this system confuses the heck out of up2date.  :^)

Hope that helps!
Comment 3 David D. Kilzer 2002-07-18 12:25:31 EDT
Obviously, another way to fix this is to simply replace __func__
with the name of the functions in the two locations where it's
used.  I simply tried to follow the ISO C99 spec.
Comment 4 Peter Bieringer 2002-07-21 09:33:41 EDT
Let's move forward to rawhide openssh-3.4p1, which is also working on RHL 6.2

I'll made some RHL 6.2 enhancements in the spec file for this version:
http://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=69332

Mho: this issue can be closed now.
Comment 5 Peter Bieringer 2003-12-03 04:48:44 EST
Yes, later versions are ok.

Note You need to log in before you can comment on or make changes to this bug.